Where communities thrive


  • Join over 1.5M+ people
  • Join over 100K+ communities
  • Free without limits
  • Create your own community
People
Repo info
Activity
  • May 19 21:16
    driosnav opened #7082
  • May 17 09:10
    zzqhandsome opened #7081
  • May 07 12:09
    niuzhi closed #7080
  • May 07 09:31
    niuzhi opened #7080
  • Mar 21 04:00
    dfsmirnov closed #6672
  • Mar 07 10:32
    jacknevitt closed #6341
  • Mar 02 13:40
    kiranjoshy123 opened #7079
  • Feb 28 16:53
    pranaypaine edited #7078
  • Feb 28 16:52
    pranaypaine opened #7078
  • Feb 20 04:23
    eablokker closed #7077
  • Feb 20 04:03
    eablokker opened #7077
  • Feb 16 17:42
    neokio closed #4475
  • Feb 16 17:41
    neokio closed #5011
  • Feb 16 17:38
    neokio closed #6173
  • Feb 13 05:27
    Fayozbekj opened #7076
  • Feb 02 09:26
    tsodring opened #7075
  • Jan 22 14:54
    dfridrich closed #6475
  • Jan 17 13:07
    yopiti edited #7074
  • Jan 17 13:06
    yopiti opened #7074
  • Dec 29 2021 07:33
    ullaskunder3 closed #7070
Marco 'Lubber' Wienkoop
@lubber-de
The community fork Fomantic-UI got github discussions https://github.com/fomantic/Fomantic-UI/discussions and a discord server https://discord.com/invite/YChxjJ3
Shetu Raj
@sheturaj:matrix.org
[m]
Hi. I am unable to dynamically insert elements into an Accordion from a nested json input because of the lack of documentation. Can someone help me out with this? https://stackoverflow.com/questions/67160612/not-able-to-insert-elements-dynamically-into-semantic-ui-accordion/67170738#67170738
Serenity Now
@sauve:matrix.org
[m]
Shetu Raj: Unfortunately this project has been superseded by Fomantic-UI, and doesn't seem to be receiving any recent attention.
Parth Bhodia
@ParthBhodia09
Hi, I am having a hard time placing disable option on the change of event on one particular dropdown. it basically works fine when I do $(' .ui .dropdown').addClass('disabled'); but if I were to add it by the id it doesn't work $(' #city').addClass('disabled');
anyone else facing the same issue or knows any work around for this ?
Semantic-Org/Semantic-UI#5417 I see there is already a question on this but I still don't see any proper solution
Parth Bhodia
@ParthBhodia09
Ok it's working with this method
$('#city').parent().addClass('disabled')
This is because they mentioned it creates a new div above the select option, so we just target that new div by accessing the parent element of that selector
Perry Codes
@PerryCodes
Asking here before submitting GitHub issue - I absolutely can't imagine I'm the first to notice this... What's up with Modals shifting left a few pixels before closing???
I've verified this behavior with several browser (with different rendering engines). It's happening on the demo page here: https://semantic-ui.com/modules/modal.html
Richard Všianský
@rvsia
@PerryCodes It's because of the scrollbar,
Perry Codes
@PerryCodes
@rvsia - interesting. I’m on an iPad currently so I popped over to see one more time, but iOS Safari isn’t displaying a scrollbar. And, well, there is no left shift as well! Now I know why - thanks Richard! What was it that GI Joe said ? Knowing is half the battle? :)
Perry Codes
@PerryCodes
Of all UI frameworks I’ve evaluated over the past few months, the look and feel of Semantic-UI modals is so amazingly top-notch. For any type of admin/dashboard tool, this is a major plus... Major kudos to the devs respondible for this!
Richard Všianský
@rvsia
@PerryCodes Yeah, we are using patternfly in our projects and there are so many instances when the scrollbar changes the page so I got used to look for it. :D Otherwise, if you are trying multiple design systems, you can take a look at https://data-driven-forms.org/, it's project we managed and it allows to write React forms by just using JSONs and it's possible to switch between designs by just changing two props.
Perry Codes
@PerryCodes
HOLY SHIT... I didn't realize how DEAD this project actually is until just trying to create a test project!!!
Looks like I'll give Formantic a shot. At least they have the Modal popping left if there is a scrollbar problem fixed :) Oh.. and there's the minor bonus that it can actually be installed without rolling back Node to something that existed about a decade ago...
Thanks for that link Richard. Data Driven Forms looks really neat and quite useful.
Marco 'Lubber' Wienkoop
@lubber-de
Fomantic UI 2.8.8 has been released yesterday. Again 100+ bugfixes and new features
https://github.com/fomantic/Fomantic-UI/blob/2.8.8/CHANGELOG.md
MasterSaxAlto
@mastersaxalto
Hello guys, i have a problem: i'm trying to put in loading state my form in semantic when i submit it but no success....how can i do it?
this is what i wrote but when i load the page with empty fields, it shows directly a loading form:
if( $('.ui.form').form('is valid')) {
document.getElementById("login_form").classList.add('loading');
}
Marco 'Lubber' Wienkoop
@lubber-de
@mastersaxalto Your form is valid when all fields are empty an no "empty" rule is set to at least one field. That's why your form immediatly gets the loading spinner (because it's valid).
I guess you havent defined the form before, so just ".form()" will have no rules set.
Please create a jsfiddle for easier investigation
Roman Lemberg
@luwqp
Всі онлайн кредити в Україні https://mfo24.info/list-mfo-organi/
credithub
@credithub:matrix.org
[m]
NisargBrahmbhatt4778
@NisargBrahmbhatt4778
Hi,
I am trying to create a multi-select dropdown using Semantic UI, but as I am also using bootstrap I don't want to use the semantic.min.css as it changes some of the other stylings. I tried using just the dropdown component css file, but now I just see the box and when I click on it, there is no dropdown. Any suggestions of what I could do?
2 replies
Serenity Now
@sauve:matrix.org
[m]
No further development or support is being done, AFAIK
antoinelaw
@antoinelaw
hello everybody, please i'm faces some isues in uses Fomantic-UI in my Nuxt project fomantic/Fomantic-UI#2114
Dylan Lok
@Lok-CC
Hi, I try to install npm i semantic-ui , however getting this error Cannot read property 'help' of undefined. Anyone can let me know how you solve it? I installed Gulp 4.0.2.
Marco 'Lubber' Wienkoop
@lubber-de
Try the community fork https://fomantic-ui.com which supports Gulp 4. Latest SUI version from 2018 does not support Gulp 4
Jaruwitt A.
@jakaratongskul
Hi guys, awesome framework! started using semantic-ui and it seems like i got really bad score for my google speed website test, I have read online that I can use purgecss to remove unused css styles classes, has anyone tried this out yet ?
Marco 'Lubber' Wienkoop
@lubber-de
As answered on discord: The community fork https://fomantic-ui.com has got a central file to switch on/off component variations and redefine color names to heavyly reduce the created CSS if you disable all features you dont need
https://github.com/fomantic/Fomantic-UI/blob/develop/src/themes/default/globals/variation.variables
https://github.com/fomantic/Fomantic-UI/blob/develop/src/themes/default/globals/colors.less
Roman Lemberg
@luwqp
Космолот Cosmolot
ПЕРЕЙТИ
Firstcasino (UA) FirstCasino
ПЕРЕЙТИ
Slottica Slottica
ПЕРЕЙТИ
Fizz Casino FizzSlots
ПЕРЕЙТИ
Favbet CASINO Favbet
ПЕРЕЙТИ
Pokermatch (Casino) Pokermatch (Casino)
ПЕРЕЙТИ
Leader.bet (UA) Leader.bet
ПЕРЕЙТИ
Vulkan777 Vulkan777
ПЕРЕЙТИ
GGbet (Casino UA) GGbet
ПЕРЕЙТИ
VulkanVegas
ПЕРЕЙТИ
Zolotiy-Kubok.png Золотий Кубок
ПЕРЕЙТИ
Fresh casino online FRESH Casino
ПЕРЕЙТИ
jetcasino Jet Casino
ПЕРЕЙТИ
1xSlots 1XSlots
ПЕРЕЙТИ
Elslots Elslots
ПЕРЕЙТИ
VBET Vbet
ПЕРЕЙТИ
Cat Casino Cat Casino
ПЕРЕЙТИ
Slots City Slots City
ПЕРЕЙТИ https://gameawin.com/go/3efe11f7831a426ba0eee42428aa9b3e365b64d1eb0a0b0b/
NAVID MANSURI
@NavidMansuri5155
hi
hi
@luwqp hi
Roman Lemberg
@luwqp
https://mfo24.info/bez-dzvinkiv/ - без дзвінків, відмов та перевірок
https://mfo24.info/bez-foto/ - без фотографій паспорта та селфі
https://mfo24.info/malovidomi-mfo/ - маловідомі онлайн кредити та МФО
https://mfo24.info/refinance/ рефінансування кредиту МФО
https://mfo24.info/akciya-privedi-druga/ - приведи друга МФО
bilalbajou
@bilalbajou
Error installing Semantic-UI via NPM install
can you helpe me to solve this probelm

(node:400952) MaxListenersExceededWarning: Possible EventEmitter memory leak detected. 11 drain listeners added to [TLSSocket]. Use emitter.setMaxListeners() to increase limit
npm WARN deprecated gulp-util@3.0.8: gulp-util is deprecated - replace it, following the guidelines at https://medium.com/gulpjs/gulp-util-ca3b1f9f9ac5
(node:400952) MaxListenersExceededWarning: Possible EventEmitter memory leak detected. 11 drain listeners added to [TLSSocket]. Use emitter.setMaxListeners() to increase limit
(node:400952) MaxListenersExceededWarning: Possible EventEmitter memory leak detected. 11 drain listeners added to [TLSSocket]. Use emitter.setMaxListeners() to increase limit
(node:400952) MaxListenersExceededWarning: Possible EventEmitter memory leak detected. 11 drain listeners added to [TLSSocket]. Use emitter.setMaxListeners() to increase limit
(node:400952) MaxListenersExceededWarning: Possible EventEmitter memory leak detected. 11 drain listeners added to [TLSSocket]. Use emitter.setMaxListeners() to increase limit
(node:400952) MaxListenersExceededWarning: Possible EventEmitter memory leak detected. 11 drain listeners added to [TLSSocket]. Use emitter.setMaxListeners() to increase limit
(node:400952) MaxListenersExceededWarning: Possible EventEmitter memory leak detected. 11 drain listeners added to [TLSSocket]. Use emitter.setMaxListeners() to increase limit
(node:400952) MaxListenersExceededWarning: Possible EventEmitter memory leak detected. 11 drain listeners added to [TLSSocket]. Use emitter.setMaxListeners() to increase limit
(node:400952) MaxListenersExceededWarning: Possible EventEmitter memory leak detected. 11 drain listeners added to [TLSSocket]. Use emitter.setMaxListeners() to increase limit
(node:400952) MaxListenersExceededWarning: Possible EventEmitter memory leak detected. 11 drain listeners added to [TLSSocket]. Use emitter.setMaxListeners() to increase limit
npm WARN deprecated minimatch@2.0.10: Please update to minimatch 3.0.2 or higher to avoid a RegExp DoS issue
npm WARN deprecated minimatch@0.2.14: Please update to minimatch 3.0.2 or higher to avoid a RegExp DoS issue
npm WARN deprecated graceful-fs@1.2.3: please upgrade to graceful-fs 4 for compatibility with current and future versions of Node.js
npm WARN deprecated natives@1.1.6: This module relies on Node.js's internals and will break at some point. Do not use it, and update to graceful-fs@4.x.

semantic-ui@2.4.2 install D:__Dev\test\node_modules\semantic-ui
gulp install

fs.js:27
const { Math, Object } = primordials;
^

ReferenceError: primordials is not defined
at fs.js:27:26
at req (D:\_Dev\test\nodemodules\natives\index.js:143:24)
at Object.req [as require] (D:\
_Dev\test\nodemodules\natives\index.js:55:10)
at Object.<anonymous> (D:\
_Dev\test\node_modules\graceful-fs\fs.js:1:37)
at Module._compile (internal/modules/cjs/loader.js:936:30)
at Object.Module._extensions..js (internal/modules/cjs/loader.js:947:10)
at Module.load (internal/modules/cjs/loader.js:790:32)
at Function.Module.load (internal/modules/cjs/loader.js:703:12)
at Module.require (internal/modules/cjs/loader.js:830:19)
at require (internal/modules/cjs/helpers.js:68:18)
npm WARN rollback Rolling back for-own@0.1.5 failed (this is probably harmless): EPERM: operation not permitted, lstat 'D:\
_Dev\test\node_modules\object.omit\nodemodules'
npm WARN rollback Rolling back globby@2.1.0 failed (this is probably harmless): EPERM: operation not permitted, lstat 'D:\
_Dev\test\node_modules\rework-import\nodemodules'
npm WARN rollback Rolling back readable-stream@2.3.6 failed (this is probably harmless): EPERM: operation not permitted, lstat 'D:\
_Dev\test\node_modules\replacestream\node_modules'
npm WARN test@1.0.0 No repository field.
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: fsevents@1.2.9 (node_modules\fsevents):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for fsevents@1.2.9: wanted {"os":"darwin","arch":"any"} (current: {"os":"win32","arch":"x64"})

npm ERR! code ELIFECYCLE
npm ERR! errno 1
npm ERR! semantic-ui@2.4.2 install: 'gulp

Roman Lemberg
@luwqp
Займы на карту онлайн 24/7 малоизвестные мфо украина 2020
малоизвестные мфо украина 2021
самые новые микрозаймы украина
новые микрозаймы
все малоизвестные микрозаймы украины - список
кредит онлайн на карту без фото и звонков украина 2021
микрозайм украина без отказа
мфо украины
все мфо украины
мфо без отказа
новые микрозаймы украина
кредит новый на карту
топ мфо без отказа
все мфо украины без отказа
banana credit
мфо украині
мфо которые дают всем украина https://mfo24.info/novi-mfo-ua/
самые новые кредиты в украине
малоизвестные мфо
нераскрученные мфо
база мфо украина
мікрозайми без відмов
малоизвестные мфо украина
мфо которые дают всем
новые кредитные организации украины
микрозаймы украина без отказа
каталог всех мфо украины
новые малоизвестные мфо украины
микрозаймы украина
Philip Metzger
@philmetzger

Hello, I am trying to customize my semantic-ui in nextJs, and so I have been following this: https://annacoding.com/article/6FndBILqMD16Bp7w95WJrd/Customize-the-Semantic-UI-React-theme-in-Next.js-Part-1

However when I start my dev server i get this TypeError: Cannot set property 'styles' of undefined
Anyone encounter this?

1 reply
Philip Metzger
@philmetzger
image.png
Anyone know why my icons look broken? <Button><Icon name='world' /></Button>
Philip Metzger
@philmetzger
ah it looks like because my next.config.js webpack looks like this:
webpack: config => {
    config.resolve.modules.push(path.resolve('./'));

    return config;
  },
What should I do?
Philip Metzger
@philmetzger

Ok I found the reason but I have no idea why?! Maybe someone here does:

html * {
    font-family: Manrope, sans-serif !important;
}

If i remove that the icons show

Кредит онлайн 💸CreditHub
@mfo_24_twitter
Andres Fanjul
@aefe17
Hi!
Im getting installation error with NPM